summaryrefslogtreecommitdiffstats
path: root/support
diff options
context:
space:
mode:
Diffstat (limited to 'support')
-rwxr-xr-xsupport/dependencies/dependencies.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/support/dependencies/dependencies.sh b/support/dependencies/dependencies.sh
index eb5a48184..ca5845014 100755
--- a/support/dependencies/dependencies.sh
+++ b/support/dependencies/dependencies.sh
@@ -175,3 +175,15 @@ if grep -E '^BR2_TARGET_GENERIC_ROOT_PASSWD=".+"$' $CONFIG_FILE > /dev/null 2>&1
exit 1
fi
fi
+
+if grep -q ^BR2_HOSTARCH_NEEDS_IA32_LIBS=y $CONFIG_FILE ; then
+ if test ! -f /lib/ld-linux.so.2 ; then
+ /bin/echo -e "\nYour Buildroot configuration uses pre-built tools for the x86 architecture,"
+ /bin/echo -e "but your build machine uses the x86-64 architecture without the 32 bits compatibility"
+ /bin/echo -e "library."
+ /bin/echo -e "If you're running a Debian/Ubuntu distribution, install the libc:i386 package."
+ /bin/echo -e "For other distributions, refer to the documentation on how to install the 32 bits"
+ /bin/echo -e "compatibility libraries."
+ exit 1
+ fi
+fi